package nckd.jimin.jyyy.fi.common;


/**
 * 涉及的单据
 */
public enum ReimWorkBillEnum {
    NCKD_ER_DAILYVEHICLEB_EXT("nckd_er_dailyvehicleb_ext","er_dailyvehiclebill","用车申请单",ReimBillTypeEnum.APPLY),
    NCKD_ER_TRIPREQBILL_EXT("nckd_er_tripreqbill_ext","er_tripreqbill","出差申请单",ReimBillTypeEnum.APPLY),
    NCKD_ER_DAILYAPPLYBIL_EXT("nckd_er_dailyapplybil_ext","er_dailyapplybill","费用申请单",ReimBillTypeEnum.APPLY),
    NCKD_ER_DAILYLOANBILL_EXT("nckd_er_dailyloanbill_ext","er_dailyloanbill","借款单",ReimBillTypeEnum.PREAPAYLOAN),
    NCKD_ER_DAILYLOANBILL("nckd_er_dailyloanbill","er_prepaybill","普通预付单",ReimBillTypeEnum.PREAPAYLOAN),
    NCKD_ER_SRMPERPAYBILL("nckd_er_srmperpaybill","er_prepaybill","采购预付单",ReimBillTypeEnum.PREAPAYLOAN),
    nckd_er_tripreimburse_ext("nckd_er_tripreimburse_ext","er_tripreimbursebill","差旅报销单",ReimBillTypeEnum.REIMPAY),
    NCKD_DAILYREIMBURSEBILL("nckd_dailyreimbursebill","er_publicreimbursebill","费用报销单",ReimBillTypeEnum.REIMPAY),
    NCKD_ER_PUBLICPAYAPPLY("nckd_er_publicpayapply","er_publicreimbursebill","费用报销单",ReimBillTypeEnum.REIMPAY),
    NCKD_ER_PUBLICSRMAPPLY("nckd_er_publicsrmapply","er_publicreimbursebill","采购付款申请单",ReimBillTypeEnum.REIMPAY),
    NCKD_ER_OTHERFEEAPPLY("nckd_er_otherfeeapply","er_publicreimbursebill","其他付款申请单",ReimBillTypeEnum.REIMPAY),
    NCKD_ER_PUBLICFUNDAPPLY("nckd_er_publicfundapply","er_publicreimbursebill","资金申请单",ReimBillTypeEnum.REIMPAY),
    NCKD_ER_DAILYREIMBURS_EXT("nckd_er_dailyreimburs_ext","er_dailyreimbursebill","费用报销单",ReimBillTypeEnum.REIMPAY),
    ER_CHECKINGPAYBILL("nckd_er_checkingpaybi_ext","er_checkingpaybill","商旅付款申请单",ReimBillTypeEnum.REIMPAY),
    ER_REPAYMENTBILL("nckd_er_repaymentbill_ext","er_repaymentbill","退款单",ReimBillTypeEnum.REPAYRETURN),
    NCKD_REPAYMENTBILL("nckd_repaymentbill","er_repaymentbill","还款单",ReimBillTypeEnum.REPAYRETURN);
    private String billtype ;
    private String entityid;
    private String name ;
    private ReimBillTypeEnum reimType;

    ReimWorkBillEnum(String billtype, String entityid, String name, ReimBillTypeEnum reimType) {
        this.billtype = billtype;
        this.entityid = entityid;
        this.name = name;
        this.reimType = reimType;
    }

    public String getBilltype() {
        return billtype;
    }

    public void setBilltype(String billtype) {
        this.billtype = billtype;
    }

    public String getEntityid() {
        return entityid;
    }

    public void setEntityid(String entityid) {
        this.entityid = entityid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public ReimBillTypeEnum getReimType() {
        return reimType;
    }

    public void setReimType(ReimBillTypeEnum reimType) {
        this.reimType = reimType;
    }
}
